com.google.cloud.dataflow.sdk.coders

## Enum CannotProvideCoderException.ReasonCode

- java.lang.Object
- - java.lang.Enum<CannotProvideCoderException.ReasonCode>
  - - com.google.cloud.dataflow.sdk.coders.CannotProvideCoderException.ReasonCode

All Implemented Interfaces:
  Serializable, Comparable<CannotProvideCoderException.ReasonCode>

Enclosing class:
  CannotProvideCoderException

    public static enum CannotProvideCoderException.ReasonCode
    extends Enum<CannotProvideCoderException.ReasonCode>

Indicates the reason that `Coder` inference failed.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TYPE_ERASURE` The reason a coder could not be provided is type erasure, for example when requesting coder inference for a `List<T>` where `T` is unknown.
`UNKNOWN` The reason a coder could not be provided is unknown or does have an established `CannotProvideCoderException.ReasonCode`.

### Method Summary

All Methods Static Methods Concrete Methods
`static CannotProvideCoderException.ReasonCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CannotProvideCoderException.ReasonCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final CannotProvideCoderException.ReasonCode UNKNOWN

The reason a coder could not be provided is unknown or does have an established `CannotProvideCoderException.ReasonCode`.

#### TYPE_ERASURE

    public static final CannotProvideCoderException.ReasonCode TYPE_ERASURE

The reason a coder could not be provided is type erasure, for example when requesting coder inference for a `List<T>` where `T` is unknown.

### Method Detail

#### values

    public static CannotProvideCoderException.ReasonCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CannotProvideCoderException.ReasonCode c : CannotProvideCoderException.ReasonCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CannotProvideCoderException.ReasonCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null